/*
**  NSAttributedString+Extensions.h
**
**  Copyright (c) 2004
**
**  Author: Ludovic Marcotte <ludovic@Sophos.ca>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _GNUMail_H_NSAttributedString_Extensions
#define _GNUMail_H_NSAttributedString_Extensions

#import <AppKit/AppKit.h>

@class Message;
@class MimeMultipart;
@class Part;

@interface NSAttributedString (Extensions)

+ (NSAttributedString *) attributedStringFromContentForPart: (Part *) thePart;
+ (NSAttributedString *) attributedStringFromHeadersForMessage: (Message *) theMessage
                                                showAllHeaders: (BOOL) showAllHeader
                                             useMailHeaderCell: (BOOL) useMailHeaderCell;
+ (NSAttributedString *) attributedStringFromMultipartAlternative: (MimeMultipart *) theMimeMultipart;
+ (NSAttributedString *) attributedStringFromMultipartAppleDouble: (MimeMultipart *) theMimeMultipart;
+ (NSAttributedString *) attributedStringFromTextPart: (Part *) thePart;
+ (NSAttributedString *) attributedStringWithString: (NSString *) theString
                                         attributes: (NSDictionary *) theAttributes;

- (NSSize) sizeInRect: (NSRect) theRect;

@end

@interface NSMutableAttributedString (Extensions)

- (void) format;
- (void) highlightAndActivateURL;
- (void) quote;

@end
#endif // _GNUMail_H_NSAttributedString_Extensions
